// SPDX-FileCopyrightText: Adam Evyčędo
//
// SPDX-License-Identifier: GPL-3.0-or-later

package xyz.apiote.bimba.czwek.repo

import android.location.Location
import xyz.apiote.bimba.czwek.api.PositionV1

data class Position(val latitude: Double, val longitude: Double) {
	constructor(p: PositionV1) : this(p.latitude, p.longitude)
	fun isZero(): Boolean {
		return latitude == 0.0 && longitude == 0.0
	}

	fun distanceTo(other: Position): Float {
		return Location(null).apply {
			latitude = this@Position.latitude
			longitude = this@Position.longitude
		}.distanceTo(Location(null).apply {
			latitude = other.latitude
			longitude = other.longitude
		})
	}
}